- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionGroupBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 834 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionGroupBox:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_GroupBox }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionGroupBox ()
| QStyleOptionGroupBox (const QStyleOptionGroupBox &other)
## Public Attributes
QStyleOptionFrameV2::FrameFeatures | features
QString | text
Qt::Alignment | textAlignment
QColor | textColor
int | lineWidth
int | midLineWidth
## Protected Member Functions
| QStyleOptionGroupBox (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 837 of file qstyleoption.h.

    { Type = SO_GroupBox };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 838 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionGroupBox | ( |  | ) |

QStyleOptionGroupBox | ( | const QStyleOptionGroupBox & | other | ) | `[inline]`

Definition at line 848 of file qstyleoption.h.

    : QStyleOptionComplex(Version, Type) { *this = other; }

QStyleOptionGroupBox | ( | int | version | ) | `[protected]`

## Member Data Documentation

QStyleOptionFrameV2::FrameFeatures features

Search for all occurrences

Definition at line 840 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 841 of file qstyleoption.h.

Qt::Alignment textAlignment

Search for all occurrences

Definition at line 842 of file qstyleoption.h.

QColor textColor

Search for all occurrences

Definition at line 843 of file qstyleoption.h.

int lineWidth

Search for all occurrences

Definition at line 844 of file qstyleoption.h.

int midLineWidth

Search for all occurrences

Definition at line 845 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox
QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox QStyleOptionGroupBox